<?php

class ZFiA_Person implements ArrayAccess, Countable
{
    protected $firstName;
    protected $lastName;
    
    function __construct($firstName, $lastName)
    {
        $this->firstName = $firstName;
        $this->lastName = $lastName;
    }
    
    function offsetSet($key, $value) 
    { 
        if (array_key_exists($key, get_object_vars($this)) ) { 
            $this->$key = $value; 
        } 
    }
    
    function offsetGet($key) 
    { 
        if (array_key_exists($key,get_object_vars($this)) ) { 
            return $this->$key; 
        } 
    } 
    
    function offsetUnset($key) 
    { 
        if (array_key_exists($key,get_object_vars($this))) { 
            unset($this->{$key}); 
        }
    }
    
    function offsetExists($offset) 
    { 
        return array_key_exists($offset,get_object_vars($this)); 
    }
    
    function count()
    {
        return count(get_object_vars($this));
    }

}


$rob = new ZFiA_Person('Rob', 'Allen');

echo "firstname = " . $rob['firstName'] . "\n"; 

$rob['firstName'] = 'Rob K';
if(isset($rob['firstName'])) {
    echo "isset = ".$rob['firstName'] . "\n";
}

echo "count = " . count($rob) . "\n";
unset($rob['firstName']);
