<?php

class Places extends Zend_Db_Table
{
    protected $_name = 'places';
     
    /**
     * Fetch the latest $count places
     *
     * @param int $count
     * @return Zend_Db_Table_Rowset_Abstract
     */
    public function fetchLatest($count = 10)
    {
        
        $result = $this->fetchAll(null, 
            'date_created DESC', $count);
        
        $profiler = $this->_db->getProfiler();
        $queryProfile = $profiler->getLastQueryProfile(); /* @var $queryProfile Zend_Db_Profiler_Query */
        
        $msg = 'Query: "' . $queryProfile->getQuery() . '"';
        $msg .= ', Params: ' . implode(',', $queryProfile->getQueryParams());
        $msg .= ', Time: ' . $queryProfile->getElapsedSecs() * 1000 . 'ms';

        $logger = Zend_Registry::get('logger');
        $logger->debug($msg);
        
        return $result;
    }
}
