<?php
require_once 'Zend/Controller/Plugin/Abstract.php';

/**
 * Front Controller plug in to set the model path for the current module
 *
 */
class Places_Controller_Plugin_ModelDirSetup extends Zend_Controller_Plugin_Abstract
{    
    protected $_baseIncludePath;
    
    public function __construct()
    {
        $this->_baseIncludePath = get_include_path();
    }
    
    public function preDispatch(Zend_Controller_Request_Abstract $request)
    {
        $moduleName = $request->getModuleName();
        
        $frontController = Zend_Controller_Front::getInstance();
        $controllerDir = $frontController->getControllerDirectory($moduleName);
        $moduleDir = dirname($controllerDir);
        $modelsDir = $moduleDir.'/models';
        
        set_include_path($moduleDir . PATH_SEPARATOR . $this->_baseIncludePath);
    }
    
}