<?php

require_once 'PHPUnit/Framework.php';

$rootDir = dirname(dirname(dirname(__FILE__)));
$libDir = $rootDir . '/library';
set_include_path($libDir
. PATH_SEPARATOR . $rootDir . '/../../lib'
. PATH_SEPARATOR . get_include_path());

require_once 'Zend/Loader.php';
Zend_Loader::loadClass('Zend_Controller_Front');
Zend_Loader::loadClass('Zend_Controller_Action');
Zend_Loader::loadClass('Zend_Controller_Request_Http');
Zend_Loader::loadClass('Zend_Controller_Response_Cli');
Zend_Loader::loadClass('Zend_View');

class IndexTest extends PHPUnit_Framework_TestCase
{
    public function setUp()
    {
        global $rootDir;
        $this->front = Zend_Controller_Front::getInstance();
        
        // clear out any settings from prior runs
        $this->front->resetInstance();
        Zend_Controller_Action_HelperBroker::getStaticHelper('viewRenderer')->setNeverRender(false);
        
        // setup for this run
        $this->front->setControllerDirectory($rootDir . '/application/controllers'); // path to modules and hence controllers
        $this->front->returnResponse(true); // don't echo the response
        $this->front->setParam('noErrorHandler', true);
    }

    public function testIndexAction()
    {
        // set up request
        $request = new Zend_Controller_Request_Http('http://localhost/');
        $response = $this->front->dispatch($request);  /* @var $response Zend_Controller_Response_Http */
        $output = $response->getBody();

        // test that there are no exceptions
        $this->assertFalse($response->isException());

        $this->assertContains('Hello World!', $output);
    }
}
?>