<?php
require_once dirname(__FILE__) . '/../TestConfiguration.php';

class controllers_IndexControllerTest extends Zend_Test_PHPUnit_ControllerTestCase
{
    public function setUp()
    {
        // Use the 'configureFrontController' method of a Bootstrap object 
        // instance to configure the Front Controller from our application's
        // bootstrap class
        $bootstrap = TestConfiguration::$bootstrap;
        $this->bootstrap = array($bootstrap, 'configureFrontController');
        parent::setUp();
    }

    public function testHomePageIsASuccessfulRequest() 
    { 
        // set up request
        $this->dispatch('/');
        
        // test that there are no exceptions
        $this->assertFalse($this->response->isException());

        // test that a direct hasn't happened
        $this->assertNotRedirect();
    }

    public function testHomePageDisplaysCorrectContent() 
    { 
        // set up request
        $this->dispatch('/');
        
        // test the output
        $this->assertQueryContentContains('h1', 'Welcome');
        $this->assertQueryContentContains('h2', 'Recent reviews');
        $this->assertQueryCount('td a', 3);
        $this->assertQueryContentContains('td a', 'Alton Towers');
    }
}
