DROP TABLE IF EXISTS places;
CREATE TABLE places (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
date_created DATETIME NOT NULL ,
date_updated DATETIME NOT NULL ,
name VARCHAR( 100 ) NOT NULL ,
address1 VARCHAR( 100 ) NULL ,
address2 VARCHAR( 100 ) NULL ,
address3 VARCHAR( 100 ) NULL ,
town VARCHAR( 75 ) NULL ,
county VARCHAR( 75 ) NULL ,
postcode VARCHAR( 30 ) NULL ,
country VARCHAR( 75 ) NULL
);

DROP TABLE IF EXISTS reviews;
CREATE TABLE reviews (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
date_created DATETIME NOT NULL ,
date_updated DATETIME NOT NULL ,
place_id INT NOT NULL ,
user_name VARCHAR(50) NOT NULL ,
body MEDIUMTEXT NOT NULL ,
rating INT NULL
);


TRUNCATE places;
TRUNCATE reviews;

INSERT INTO places (name, address1, town, county, postcode, date_created, date_updated)
VALUES 
('London Zoo', 'Regent\'s Park', 'London', '', 'NW1 4RY', '2007-02-14 00:00:00', '2007-02-14 00:00:00')
,('Alton Towers', 'Regent\'s Park', 'Alton', 'Staffordshire', 'ST10 4DB', '2007-02-14 00:00:00', '2007-02-14 00:00:00')
,('Coughton Court', '', 'Alcester', 'Warwickshire', 'B49 5JA', '2007-02-14 00:00:00', '2007-02-14 00:00:00')
;

INSERT INTO reviews  (place_id, user_name, body, rating, date_created, date_updated)
VALUES
(1, 'John', 'The facilities here are really good. All the family enjoyed it', 4, '2007-02-14 00:00:00', '2007-02-14 00:00:00')
,(1, 'Jenny', 'Good day out, but not so many big animals now.', 2, '2007-02-14 00:00:00', '2007-02-14 00:00:00')
,(1, 'Sam', 'Excellent food in the cafeteria. Even my 2 year old ate her lunch!', 4, '2007-02-14 00:00:00', '2007-02-14 00:00:00')
,(2, 'Alex', 'Good for teenagers!', 2, '2007-02-14 00:00:00', '2007-02-14 00:00:00')
,(2, 'Charlie', 'A great family day out, but lots of queues!', 2, '2007-02-14 00:00:00', '2007-02-14 00:00:00')
,(2, 'Lucy', 'A fun day was had by our family!', 2, '2007-02-14 00:00:00', '2007-02-14 00:00:00')
,(3, 'Susan', 'Our children enjoyed learning some of the history!', 3, '2007-02-14 00:00:00', '2007-02-14 00:00:00')
;


select reviews.*, places.name from reviews left join places on reviews.place_id = places.id