DROP TABLE IF EXISTS places;
CREATE TABLE places (
	id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
	date_created DATETIME NOT NULL ,
	date_updated DATETIME NOT NULL ,
	name VARCHAR( 100 ) NOT NULL ,
	address1 VARCHAR( 100 ) NULL ,
	address2 VARCHAR( 100 ) NULL ,
	address3 VARCHAR( 100 ) NULL ,
	town VARCHAR( 75 ) NULL ,
	county VARCHAR( 75 ) NULL ,
	postcode VARCHAR( 30 ) NULL ,
	country VARCHAR( 75 ) NULL
);

DROP TABLE IF EXISTS reviews;
CREATE TABLE reviews (
	id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
	date_created DATETIME NOT NULL ,
	date_updated DATETIME NOT NULL ,
	place_id INT NOT NULL ,
	user_name VARCHAR(50) NOT NULL ,
	body MEDIUMTEXT NOT NULL ,
	rating INT NULL ,
	helpful_yes INT NOT NULL DEFAULT 0 ,
	helpful_total INT NOT NULL DEFAULT 0
);

DROP TABLE IF EXISTS users;
CREATE TABLE users (
  id int(11) NOT NULL auto_increment,
  date_created datetime NOT NULL,
  date_updated datetime NOT NULL,
  username varchar(100) NOT NULL,
  password varchar(40) NOT NULL,
  role varchar(50) NOT NULL default 'member', -- needed for chapter 7
  first_name varchar(100) NULL,
  last_name varchar(100) NULL,
  date_of_birth date NULL,
  sex char(1) NULL,
  postcode varchar(20) NULL,
  PRIMARY KEY  (id)
);

TRUNCATE places;
TRUNCATE reviews;
TRUNCATE users;

INSERT INTO places (name, address1, town, county, postcode, date_created, date_updated)
VALUES 
('London Zoo', 'Regent\'s Park', 'London', '', 'NW1 4RY', '2007-02-14 00:00:00', '2007-02-14 00:00:00')
,('Alton Towers', 'Regent\'s Park', 'Alton', 'Staffordshire', 'ST10 4DB', '2007-02-14 00:00:00', '2007-02-14 00:00:00')
,('Coughton Court', '', 'Alcester', 'Warwickshire', 'B49 5JA', '2007-02-14 00:00:00', '2007-02-14 00:00:00')
;

INSERT INTO reviews  (place_id, user_name, body, rating, date_created, date_updated, helpful_yes, helpful_total)
VALUES
(1, 'John', 'The facilities here are really good. All the family enjoyed it', 4, '2007-02-14 00:00:00', '2007-02-14 00:00:00', 4, 6)
,(1, 'Jenny', 'Good day out, but not so many big animals now.', 2, '2007-02-14 00:00:00', '2007-02-14 00:00:00', 0, 0)
,(1, 'Sam', 'Excellent food in the cafeteria. Even my 2 year old ate her lunch!', 4, '2007-02-14 00:00:00', '2007-02-14 00:00:00', 0, 0)
,(2, 'Alex', 'Good for teenagers!', 2, '2007-02-14 00:00:00', '2007-02-14 00:00:00', 0, 0)
,(2, 'Charlie', 'A great family day out, but lots of queues!', 2, '2007-02-14 00:00:00', '2007-02-14 00:00:00', 0, 0)
,(2, 'Lucy', 'A fun day was had by our family!', 2, '2007-02-14 00:00:00', '2007-02-14 00:00:00', 0, 0)
,(3, 'Susan', 'Our children enjoyed learning some of the history!', 3, '2007-02-14 00:00:00', '2007-02-14 00:00:00', 0, 0)
;

INSERT INTO users (,`date_created`,`date_updated`,`username`,`password`) 
VALUES 
('1','2007-02-14 00:00:00','2007-02-14 00:00:00','rob','7e09c9d3e96378bf549fc283fd6e1e5b7014cc33')
('2','2007-02-14 00:00:00','2007-02-14 00:00:00','nick','75ef9faee755c70589550b513ad881e5a603182c')
('3','2007-02-14 00:00:00','2007-02-14 00:00:00','charlie','d8cd10b920dcbdb5163ca0185e402357bc27c265')
('4','2007-02-14 00:00:00','2007-02-14 00:00:00','lucy','474e97d07b83ea9b34d1ec399840354182f3b6c1')
;

