<?php

require_once 'PHPUnit/Framework.php';

define('CHAPTER_DIRECTORY', dirname(dirname(__FILE__)));
require_once CHAPTER_DIRECTORY.'/TestConfiguration.php';
ZFiATestConfiguration::initialiseTests(CHAPTER_DIRECTORY);


class queryTest extends PHPUnit_Framework_TestCase
{
    public function setUp()
    {
        // reset database to know state
        ZFiATestConfiguration::initialiseDatabase();
        $this->db = Zend_Registry::get('db');
    }

    public function testFetchAll()
    {
        $db =& $this->db; /* @var $db Zend_Db_Adapter_Abstract */
        
        $date = $db->quote('1980-01-01');
        $sql = 'SELECT * FROM users WHERE date_of_birth > ' . $date;
		$result = $db->query($sql);  /* @var $result PDOStatement */
        $rows = $result->fetchAll();
        $this->assertSame(1, count($rows));
    }
    
    public function testFetchAllUsingParameterBinding()
    {
        $db =& $this->db; /* @var $db Zend_Db_Adapter_Abstract */
        
        $sql = 'SELECT * FROM users WHERE date_of_birth > ?';
		$result = $db->query($sql, array('1980-01-01'));  /* @var $result PDOStatement */
        $rows = $result->fetchAll();
        $this->assertSame(1, count($rows));
    }
    
    public function testSelect()
    {
        $db =& $this->db; /* @var $db Zend_Db_Adapter_Abstract */
    
        $select = new Zend_Db_Select($db);
        $select->from('users');
        $select->where('date_of_birth > ?', '1980-01-01');
        $result = $select->query();
        $rows = $result->fetchAll();
        $this->assertSame(1, count($rows));
    }
}
