<?php

require_once 'PHPUnit/Framework.php';

define('CHAPTER_DIRECTORY', dirname(dirname(__FILE__)));
require_once CHAPTER_DIRECTORY.'/TestConfiguration.php';
ZFiATestConfiguration::initialiseTests(CHAPTER_DIRECTORY);


class tableTest extends PHPUnit_Framework_TestCase
{
    public function setUp()
    {
        // reset database to know state
        ZFiATestConfiguration::initialiseDatabase();
        ZFiATestConfiguration::initialiseRelationshipDatabase();
        $this->db = Zend_Registry::get('db');
    }

    public function testFetchAll()
    {
        $users = new Users();
        $rows = $users->fetchAll();

        $this->assertSame(4, count($rows));
        echo "My name is " , get_class($this) , "\n";
    }

    public function testFetchAllWhere()
    {
        $users = new Users();

        $where = array('sex = ?' => 'F',
            'date_of_birth >= ?'=>'1980-01-01');
        $rows = $users->fetchAll($where);

        $this->assertSame(1, count($rows));
        echo "My name is " , get_class($this) , "\n";
    }
    
}


class Users extends Zend_Db_Table_Abstract
{
    protected $_name = 'users';
}


