<?php

require_once 'PHPUnit/Framework.php';

define('CHAPTER_DIRECTORY', dirname(dirname(__FILE__)));
require_once CHAPTER_DIRECTORY . '/TestConfiguration.php';
ZFiATestConfiguration::initialiseTests(CHAPTER_DIRECTORY);


class Places extends Zend_Db_Table_Abstract 
{
    protected $_name = 'places';
    protected $_dependentTables = array('Reviews');
}

class Reviews extends Zend_Db_Table_Abstract 
{
    protected $_name = 'reviews';
    protected $_referenceMap    = array(
        'Place' => array(
            'columns'           => array('place_id'),
            'refTableClass'     => 'Places',
            'refColumns'        => array('id')
        )        
    );
}

class oneToManyTest extends PHPUnit_Framework_TestCase
{
    public function setUp()
    {
        // reset database to know state
        ZFiATestConfiguration::initialiseRelationshipDatabase();
        $this->db = Zend_Registry::get('db');
    }

    public function testFetchAll()
    {
        $places = new Places();
        $reviews = new Reviews();
        
        $londonZoo = $places->fetchRow('id = 1'); /* @var $londonZoo Zend_Db_Table_Row_Abstract*/
        $reviews = $londonZoo->findDependentRowset('Reviews');        

        $this->assertSame(3, count($reviews));
    }


}

