<?php

// set up access to Zend Framework classess
set_include_path('../../lib'
            . PATH_SEPARATOR . get_include_path());
            
require_once 'Zend/Loader.php';
Zend_Loader::registerAutoload();


class ZFiA_SimplePasswordResolver implements Zend_Auth_Adapter_Http_Resolver_Interface 
{

    protected $_users = array('rob'=>'1234', 'nick'=>'5678');
    
    /**
     * Return the password for this username if known, or false
     *
     * @param string $username
     */
    public function resolve($username, $realm)
    {
        if(array_key_exists($username, $this->_users))
        {
            return $this->_users[$username];
        }
        return false;
    }
}

// create a Zend_Auth_Adapter_Http instance
$config['accept_schemes'] = 'basic';
$config['realm'] = 'ZFiA Chapter 07';
$authAdapter = new Zend_Auth_Adapter_Http($config);

$passwordResolver = new ZFiA_SimplePasswordResolver();
$authAdapter->setBasicResolver($passwordResolver);

// we need a request object in order to access the HTTP headers sent by the
// browser and a response object so that the Auth adapter can set the 
// required HTTP headers to issue the login box.
$request = new Zend_Controller_Request_Http();
$response = new Zend_Controller_Response_Http();
$authAdapter->setRequest($request);
$authAdapter->setResponse($response);

// Authenticate() does the "real" work of checking the user's 
// password against the one returned by the password resolver.
$result = $authAdapter->authenticate();
if (!$result->isValid()) {
    // Failed to validate. The response contains the correct HTTP 
    // headers for the browser to ask for a username/password.
    
    $response->appendBody('Sorry, you are not authorised');
} else {
    // Successfully validated.
    $identity = $result->getIdentity();
    $username = $identity['username'];
    $response->appendBody('Welcome, '.$username);
}

echo $response;
