DROP TABLE IF EXISTS places;
CREATE TABLE places (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
date_created DATETIME NOT NULL ,
date_updated DATETIME NOT NULL ,
created_by INT DEFAULT -1,
name VARCHAR( 100 ) NOT NULL ,
address1 VARCHAR( 100 ) NULL ,
address2 VARCHAR( 100 ) NULL ,
town VARCHAR( 75 ) NULL ,
county VARCHAR( 75 ) NULL ,
postcode VARCHAR( 30 ) NULL ,
country VARCHAR( 75 ) NULL,
information MEDIUMTEXT
);

DROP TABLE IF EXISTS reviews;
CREATE TABLE reviews (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
date_created DATETIME NOT NULL ,
date_updated DATETIME NOT NULL ,
created_by INT DEFAULT -1,
place_id INT NOT NULL ,
body MEDIUMTEXT NOT NULL ,
rating INT NULL ,
helpful_yes INT NOT NULL DEFAULT 0 ,
helpful_total INT NOT NULL DEFAULT 0
);

DROP TABLE IF EXISTS users;
CREATE TABLE users (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
date_created DATETIME NOT NULL ,
date_updated DATETIME NOT NULL ,
username VARCHAR(50) NOT NULL ,
password VARCHAR(50) NOT NULL , 
role VARCHAR(50) NOT NULL DEFAULT 'member'
);

TRUNCATE places;
TRUNCATE reviews;
TRUNCATE users;

INSERT INTO places (created_by, name, address1, town, county, postcode, date_created, date_updated)
VALUES 
(1, 'London Zoo', 'Regent\'s Park', 'London', '', 'NW1 4RY', '2007-02-14 00:00:00', '2007-02-14 00:00:00')
,(1, 'Alton Towers', 'Regent\'s Park', 'Alton', 'Staffordshire', 'ST10 4DB', '2007-02-14 00:00:00', '2007-02-14 00:00:00')
,(2, 'Coughton Court', '', 'Alcester', 'Warwickshire', 'B49 5JA', '2007-02-14 00:00:00', '2007-02-14 00:00:00')
;

INSERT INTO reviews  (created_by, place_id, body, rating, date_created, date_updated, helpful_yes, helpful_total)
VALUES
(1, 1, 'The facilities here are really good. All the family enjoyed it', 4, '2007-02-14 00:00:00', '2007-02-14 00:00:00', 3, 6)
,(2, 1, 'Good day out, but not so many big animals now.', 2, '2007-02-14 00:00:00', '2007-02-14 00:00:00', 4, 4)
,(3, 1, 'Excellent food in the cafeteria. Even my 2 year old ate her lunch!', 4, '2007-02-14 00:00:00', '2007-02-14 00:00:00', 2, 5)
,(2, 2, 'Good for teenagers!', 2, '2007-02-14 00:00:00', '2007-02-14 00:00:00', 5, 6)
,(3, 2, 'A great family day out, but lots of queues!', 2, '2007-02-14 00:00:00', '2007-02-14 00:00:00', 7, 10)
,(1, 2, 'A fun day was had by our family!', 2, '2007-02-14 00:00:00', '2007-02-14 00:00:00', 8, 12)
,(1, 3, 'Our children enjoyed learning some of the history!', 3, '2007-02-14 00:00:00', '2007-02-14 00:00:00', 23, 24)
;

INSERT INTO users (username, password, date_created, date_updated)
VALUES 
('rob', sha1('rob'), '2007-02-14 00:00:00', '2007-02-14 00:00:00')
,('nick', sha1('nick'), '2007-02-14 00:00:00', '2007-02-14 00:00:00')
,('charlie', sha1('charlie'), '2007-02-14 00:00:00', '2007-02-14 00:00:00')
,('lucy', sha1('lucy'), '2007-02-14 00:00:00', '2007-02-14 00:00:00')
;


-- select reviews.*, places.name from reviews left join places on reviews.place_id = places.id