<?php

class ErrorController extends Zend_Controller_Action
{
    public function init()
    {
        $this->_helper->acl->allow(null);
    }
    
    public function errorAction()
    {
        $errors = $this->_getParam('error_handler'); 
        $message = "Unknown error";
        $trace = '';
        if(isset($errors->exception))
        {
            $message = $errors->exception->getMessage();
            $trace = 'Backtrace: <pre>'.$errors->exception->getTraceAsString().'</pre>';
        }
        
        switch ($errors->type) {
            case Zend_Controller_Plugin_ErrorHandler::EXCEPTION_NO_CONTROLLER:
            case Zend_Controller_Plugin_ErrorHandler::EXCEPTION_NO_ACTION:
                // 404 error -- controller or action not found
                $this->getResponse()->setRawHeader('HTTP/1.1 404 Not Found');
                echo "<p>A 404 error happened: <b>$message</b></p>";
                break;
                
            default:
                echo "<p>An application error happened: $message</p>";
                echo $trace;
                break;
        }
        
        $viewRenderer = $this->getHelper('ViewRenderer'); /* @ $viewRenderer Places_Controller_Action_Helper_ViewRenderer */
        $viewRenderer->setNoRender();
        
    }
}