<?php

class IndexController extends Zend_Controller_Action
{
    public function init()
    {
        $this->_helper->acl->allow(null);
    }
    
    public function indexAction()
    {
        $this->view->title = 'Welcome to Places to take the kids!';
        $this->view->headTitle('Welcome');
        $placesFinder = new Places();
        $this->view->places = $placesFinder->fetchLatest();
    }

    public function menuAction()
    {
        $lang = Zend_Registry::get('lang');
        $mainMenu = array(
            array('title'=>'Home', 'url'=>$this->view->url(array('lang'=>$lang), null, true)),
            array('title'=>'Browse Places', 'url'=>$this->view->url(array('controller'=>'place', 'action'=>'browse', 'lang'=>$lang), null, true)),
            array('title'=>'Articles', 'url'=>$this->view->url(array('controller'=>'articles', 'lang'=>$lang), null, true)),
            array('title'=>'About', 'url'=>$this->view->url(array('controller'=>'about', 'lang'=>$lang), null, true)),
        );

        $this->view->menu = $mainMenu;
        $this->_helper->viewRenderer->setResponseSegment('menu');
    }
    
    public function advertAction()
    {
        $this->_helper->viewRenderer->setResponseSegment('advert');
    }
    
    public function aboutAction()
    {
        $this->view->title = $this->_translate->_('About');
    }    

}
