<?php

if (!defined('ROOT_DIR')) {
    // include Zend Framework
    define('ROOT_DIR', dirname(dirname(dirname(__FILE__))));

    set_include_path('.'
    . PATH_SEPARATOR . ROOT_DIR . '/lib'
    . PATH_SEPARATOR . '.' . PATH_SEPARATOR . get_include_path());
}

require_once 'PHPUnit/Framework.php';
require_once 'Zend/Locale.php';
require_once 'Zend/Locale/Format.php';

class FormattingDatesTest extends PHPUnit_Framework_TestCase
{
    public function setUp()
    {
    }

    public function testDateNormalisation()
    {
    	$dateString = '3/2/2007';
        
        // expect getDate to parse $dateString as an American format 
        $locale = new Zend_Locale('en_US');
        $date = Zend_Locale_Format::getDate($dateString, 
                array('locale' => $locale));

        $this->assertEquals(2, $date['day']);
        $this->assertEquals(3, $date['month']);
        $this->assertEquals(2007, $date['year']);


        
        // expect getDate to parse $dateString as UK format 
        $locale->setLocale('en_GB');
        $date = Zend_Locale_Format::getDate($dateString, 
                array('locale' => $locale));

        $this->assertEquals(3, $date['day']);
        $this->assertEquals(2, $date['month']);
        $this->assertEquals(2007, $date['year']);
        
    }
    
}
