<?php

if (!defined('ROOT_DIR')) {
    // include Zend Framework
    define('ROOT_DIR', dirname(dirname(dirname(__FILE__))));

    set_include_path('.'
    . PATH_SEPARATOR . ROOT_DIR . '/lib'
    . PATH_SEPARATOR . '.' . PATH_SEPARATOR . get_include_path());
}

require_once 'PHPUnit/Framework.php';
require_once 'Zend/Locale.php';
require_once 'Zend/Locale/Format.php';

class FormattingNumbersTest extends PHPUnit_Framework_TestCase
{
    public function setUp()
    {
    }

    public function testNormalisation()
    {
    	$numberString = '3.637,34';

    	$locale = new Zend_Locale('de_DE');
        $number = Zend_Locale_Format::getNumber($numberString, 
                    array('locale'=>$locale, 'precision'=>2));

        $this->assertEquals(3637.34, $number);
    }

    public function testOutput()
    {
    	$number = 3637.34;

    	$locale = new Zend_Locale('de_DE');
        $numberString = Zend_Locale_Format::toNumber($number, 
                    array('locale'=>$locale, 'precision'=>2));

        $this->assertEquals('3.637,34', $numberString);
    }
}
