<?php

if (!defined('ROOT_DIR')) {
    // include Zend Framework
    define('ROOT_DIR', dirname(dirname(dirname(__FILE__))));
    
    set_include_path('.' 
            . PATH_SEPARATOR . ROOT_DIR . '/lib/' 
            . PATH_SEPARATOR . '.' 
            . PATH_SEPARATOR . get_include_path());
}

require_once 'PHPUnit/Framework.php';
require_once 'Zend/Translate.php';

class TranslateArrayTest extends PHPUnit_Framework_TestCase
{

    public function setUp()
    {
        date_default_timezone_set('UTC');
    }

    public function testSimple()
    {
        ob_start();
        print "Welcome\n";
        print "=======\n";
        print "Today's date is " . date("d/m/Y") . "\n";
        $reference = ob_get_clean();

        $data = array();
        $data['welcome'] = 'WELCOME';
        $data['today %1$s'] = 'TODAY\'S DATE IS %1$s';
		$translate = new Zend_Translate('array', $data, 'en');

		ob_start();
		print $translate->_("welcome")."\n";
		print "=======\n";
		printf($translate->_('today %1$s')."\n", date('d/m/Y'));
		$translated = ob_get_clean();
		
		$this->assertEquals(strtolower($translated), strtolower($reference));
		
    }
}
